package app17b.action;

import java.io.BufferedInputStream;
import java.io.IOException;
import java.io.OutputStream;
import java.io.File;
import java.io.FileInputStream;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

public class GetImageAction extends Action {

  public ActionForward execute(ActionMapping mapping, ActionForm form,
    HttpServletRequest request, HttpServletResponse response) {
    
    String contentType = "image/gif";
    String id = request.getParameter("productId");
    String path = request.getSession().getServletContext().getRealPath("images");
		
    //The images can be jpg or gif, retrieve default image if no file found
    File file = new File(path, id + ".GIF");
    if (!file.exists()) {
      file = new File(path, id + ".JPG");
      contentType = "image/jpeg";
    }
    if (file.exists()) {
  
      try {
	  	FileInputStream fis = new FileInputStream(file);
	   	BufferedInputStream bis = new BufferedInputStream(fis);
	    byte[] bytes = new byte[bis.available()];
	    response.setContentType(contentType);		    
	    OutputStream os = response.getOutputStream();

	    bis.read(bytes);
	    os.write(bytes);
	  } 
	  catch (IOException ex) {
	    System.out.println (ex.toString());
	  }
	}
    return null;
  }
}
